Page MenuHomePhabricator

Flow: magic words for page name in a post render as Topic:UUID but preview as Flow_board_name
Closed, ResolvedPublic

Description

On a Flow board in the Talk namespace

  1. Add a post containing {{FULLPAGENAME}},{{NAMESPACE}}, and other magic words from https://www.mediawiki.org/wiki/Help:Magic_words#Page_names and #Namespaces
  2. Click Preview
  3. Click submit

Result:

  • During Preview the magic word for the page expands to Talk:<Flow_board_name>
  • But when you submit, the magic word for the page expands to Topic:<UUID>

Expected: I dunno, but this is unexpected.

http://ee-flow.wmflabs.org/wiki/Topic:S62gkgd61sraxk74 has all the magic words.


Version: master
Severity: normal

Details

Reference
bz73409

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:57 AM
bzimport set Reference to bz73409.
bzimport added a subscriber: Unknown Object (MLST).

Change 179056 had a related patch set uploaded (by EBernhardson):
Render posts against the owner page rather than topic

https://gerrit.wikimedia.org/r/179056

Patch-For-Review

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:25 AM
Mattflaschen-WMF triaged this task as Normal priority.Jan 29 2015, 7:02 PM

Change 179056 merged by jenkins-bot:
Render posts against the owner page rather than topic

https://gerrit.wikimedia.org/r/179056

I'm thinking now that my patch may have been the wrong solution. The solution was to render topics against the owner page, the implication here is that summaries (T87793) will be adding categories to something. The categories must (well, we could hack it but not preferred) be applied to the same page we are rendering against, which means summaries would categorize the owner page and not the page within NS_TOPIC.

I think we should revert my patch and generate a fake uuid for use in new-topic previews to solve the initial purpose of this patch. Then categorization of summaries can move forward as well.

DannyH closed this task as Resolved.Feb 3 2015, 11:58 PM

Change 188253 had a related patch set uploaded (by Mattflaschen):
Revert "Render posts against the owner page rather than topic"

https://gerrit.wikimedia.org/r/188253

Patch-For-Review

Mattflaschen-WMF reopened this task as Open.Feb 4 2015, 5:58 AM

In addition to the revert (not yet reviewed) (https://gerrit.wikimedia.org/r/#/c/188253/), we also have to do it from the other direction, as Erik said ("generate a fake uuid for use in new-topic previews to solve the initial purpose of this patch").

DannyH closed this task as Resolved.Feb 4 2015, 11:42 PM

Change 188253 merged by jenkins-bot:
Revert "Render posts against the owner page rather than topic"

https://gerrit.wikimedia.org/r/188253

I've now merged the revert. However, I believe the original bug is now valid again, as I said above.

To see this, you can go to http://en.wikipedia.beta.wmflabs.org/wiki/Talk:Flow_QA and preview:

This is a link to [[Talk:Flow QA]] in a post on {{FULLPAGENAME}}.

in a reply to an existing topic.

It should render with a Topic: page (or a psuedo-one if you preview a new topic), but instead it shows:

This is a link to Talk:Flow QA in a post on Talk:Flow QA.

(if it thinks the page name is Talk:Flow QA, it should render the link in bold, but we could call that out of scope).

Change 191474 had a related patch set uploaded (by EBernhardson):
Explicitly handle title to preview content against

https://gerrit.wikimedia.org/r/191474

Patch-For-Review

Change 191474 merged by jenkins-bot:
Explicitly handle title to preview content against

https://gerrit.wikimedia.org/r/191474

DannyH closed this task as Resolved.Feb 24 2015, 6:25 PM